---
schema_version: "1"
id: 68a27e6a05d4e95ae920937dbc50c3ac7b35ccf82b6f80d4daf33a0ee435e808
title: Get a Quick Action Layout
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_quick_action_layout.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_quick_action_layout.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: d62238c03b45052087445153745e7745f27f6f792e25f30d700b29f40bcde331
description: Get information about the record layout used by a Create a Record or Update a Record quick action.
---
# Get a Quick Action Layout

Get information about the record layout used by a Create a Record or Update a Record quick action.

Resource

/ui-api/actions/layout/${actionApiName}

actionApiName—The API name of a quick action.

Available Version

58.0

HTTP Method

GET

Example

This example returns information about the record layout used by the Create Case quick action on the Account object.

GET /services/data/v68.0/ui-api/actions/layout/Account.CreateCase

Request parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| objectApiName | String | API name of the object. | Optional | 60.0 |
| recordTypeId | String | ID of the record type. | Optional | 60.0 |

Response Body

[Quick Action Layout](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_quick_action_layout.htm "The record layout used by the quick action.")